class Temperature:
    def __init__(self, celsius):
        self.celsius = celsius

    def to_fahrenheit(self):
        return self.celsius * 1.8 + 32.0


def batch_converter(temperatures):
    return [
        Temperature(temperature).to_fahrenheit()
        for temperature in temperatures
    ]
